package cz.novoj.business;
/**
 * Description
 * @author Jan Novotn, FG Forrest a.s. (c) 2007
 * @version $Id: $
 */

import junit.framework.TestCase;
import org.joda.time.DateTimeUtils;
import org.joda.time.DateTime;

public class PollManagerTest extends TestCase {
	PollManager pollManager;

	protected void setUp() throws Exception {
		pollManager = new PollManager();
		DateTimeUtils.setCurrentMillisFixed(
				new DateTime().withDate(2008, 4, 5).getMillis()
		);
	}

	protected void tearDown() throws Exception {
		DateTimeUtils.setCurrentMillisSystem();
	}

	public void testIsActive() {
		DateTime from = new DateTime().withDate(2008, 4, 1);
		DateTime to = new DateTime().withDate(2008, 7, 1);
		assertTrue(pollManager.isActive(from, to));
	}

}