package cz.novoj.emt.pmt;

import org.junit.Test;
import org.junit.Before;
import cz.novoj.emt.BusinessObject;
import static org.junit.Assert.*;

import java.lang.reflect.Method;

/**
 * Private method test example.
 *
 * @author Jan Novotn, FG Forrest a.s. (c) 2007
 * @version $Id: $
 */
public class BusinessObjectPrivateMethodTest {
	private Method triggersLowerBoundNotification;
	private BusinessObject tested;

	@Before
	public void init() throws Exception {
		//get reflexion method object
		triggersLowerBoundNotification =
				BusinessObject.class.getDeclaredMethod("triggersLowerBoundNotification", int.class);
		//override java accessibility checks
		triggersLowerBoundNotification.setAccessible(true);
		//created tested object instance
		tested = new BusinessObject();
	}

	@Test
	public void triggersLowerBoundNotification() throws Exception {
		assertEquals(Boolean.TRUE, triggersLowerBoundNotification.invoke(tested, 1));
	}

	@Test
	public void doesnotTriggerLowerBoundNotification() throws Exception {
		assertEquals(Boolean.FALSE, triggersLowerBoundNotification.invoke(tested, 11));
	}

}
