/*
 * TestStubMessageSender.java
 *
 * Created on 18. leden 2007, 9:43
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package cz.novoj.emt.stub;

import cz.novoj.emt.exception.SendException;
import cz.novoj.emt.IMessageSender;

/**
 * Test stub for message sender.
 * @author Rodina Novotnych
 */
public class StubMessageSender implements IMessageSender {
    private String receiver;
    private String sender;
    private String subject;
    private String body;
    int callCounter = 0;

    public void send(String receiver, String sender, String subject, String body) throws SendException {
        this.receiver = receiver;
        this.sender = sender;
        this.subject = subject;
        this.body = body;
        callCounter++;
    }

	public String getReceiver() {
		return receiver;
	}

	public String getSender() {
		return sender;
	}

	public String getSubject() {
		return subject;
	}

	public String getBody() {
		return body;
	}

	public int getCallCounter() {
		return callCounter;
	}
}
