package cz.novoj.web;

import junit.framework.TestCase;
import com.thoughtworks.selenium.DefaultSelenium;
import com.thoughtworks.selenium.Selenium;

/**
 * Description
 *
 * @author Jan Novotn, FG Forrest a.s. (c) 2007
 * @version $Id: $
 */
public class SeleniumTest extends TestCase {
	private Selenium browser;

	public void setUp() {
		browser = new DefaultSelenium("localhost",
				4444, "*iexplore", "http://www.google.com");
		browser.start();
	}

	public void testGoogle() {
		browser.open("http://www.google.com/webhp?hl=en");
		browser.type("q", "hello world");
		browser.click("btnG");
		browser.waitForPageToLoad("5000");
		assertEquals("hello world - Google Search", browser.getTitle());
	}

	public void tearDown() {
		browser.stop();
	}

}
